---
title: Tutorials
pagination_prev: getting-started/installation/index
pagination_next: getting-started/roadmap
---

SheetJS presents a simple JS interface that works with "Array of Arrays" and
"Array of JS Objects". The API functions are building blocks that should be
combined with other JS APIs to solve problems.

These discussions focus on the problem solving mindset. API details are covered
in other parts of the documentation.

## Data Export

The ["Export Tutorial"](/docs/getting-started/examples/export) examines the data
export process. Raw data is fetched from an endpoint, processed and ultimately
exported to a XLSX spreadsheet.

## Data Import

The ["Import Tutorial"](/docs/getting-started/examples/import) examines the data
import process. A legacy file is downloaded and parsed. The underlying data is
ultimately displayed to the user in a HTML table.

