---
title: Local Data
pagination_prev: demos/data/index
pagination_next: demos/cloud/index
---

import DocCardList from '@theme/DocCardList';
import {useCurrentSidebarCategory} from '@docusaurus/theme-common';

There is no standard cross-platform approach to read and write files and data.
`XLSX.readFile` and `XLSX.writeFile` rely on platform-specific APIs to perform
the file read and write operations.  Not all platforms support the APIs used in
the library.

Demos in this section cover local APIs that are not embedded in the library:

<ul>{useCurrentSidebarCategory().items.map((item, index) => {
  const listyle = (item.customProps?.icon) ? {
    listStyleImage: `url("${item.customProps.icon}")`
  } : {};
  return (<li style={listyle} {...(item.customProps?.class ? {className: item.customProps.class}: {})}>
    <a href={item.href}>{item.label}</a>{item.customProps?.summary && (" - " + item.customProps.summary)}
  </li>);
})}</ul>
