---
title: References
sidebar_position: 8
hide_table_of_contents: true
---

Some of our original research is documented at https://oss.sheetjs.com/notes/

The specifications list is non-exhaustive.

 - Worksheet File Format (From Lotus) December 1984[^1]
 - Open Document Format for Office Applications Version 1.3

:::info pass

The primary specifications for XLSX are:

 - `ISO/IEC 29500` "Information technology — Document description and processing languages — Office Open XML File Formats"
 - `ECMA-376` "Office Open XML file formats"

As some editions of `ECMA-376` are identical to `ISO` specification editions,
most of the public XLSX document community use the spec names interchangeably.

:::

## Open Specifications Promise

Lotus dedicated the "Worksheet File Format" documentation to the Public Domain.
Microsoft opted for the "Open Specifications Promise", a covenant not to sue.
The documentation that falls under the promise are listed below.

<details>
  <summary><b>Specifications</b> (click to show)</summary>

 - `MS-CFB`: Compound File Binary File Format
 - `MS-CTXLS`: Excel Custom Toolbar Binary File Format
 - `MS-EXSPXML3`: Excel Calculation Version 2 Web Service XML Schema
 - `MS-ODATA`: Open Data Protocol (OData)
 - `MS-ODRAW`: Office Drawing Binary File Format
 - `MS-ODRAWXML`: Office Drawing Extensions to Office Open XML Structure
 - `MS-OE376`: Office Implementation Information for ECMA-376 Standards Support
 - `MS-OFFCRYPTO`: Office Document Cryptography Structure
 - `MS-OI29500`: Office Implementation Information for `ISO/IEC 29500` Standards Support
 - `MS-OLEDS`: Object Linking and Embedding (OLE) Data Structures
 - `MS-OLEPS`: Object Linking and Embedding (OLE) Property Set Data Structures
 - `MS-OODF3`: Office Implementation Information for ODF 1.2 Standards Support
 - `MS-OSHARED`: Office Common Data Types and Objects Structures
 - `MS-OVBA`: Office VBA File Format Structure
 - `MS-XLDM`: Spreadsheet Data Model File Format
 - `MS-XLS`: Excel Binary File Format (.xls) Structure Specification
 - `MS-XLSB`: Excel (.xlsb) Binary File Format
 - `MS-XLSX`: Excel (.xlsx) Extensions to the Office Open XML SpreadsheetML File Format
 - `XLS`: Microsoft Office Excel 97-2007 Binary File Format Specification
 - `RTF`: Rich Text Format

</details>


## Other Resources

- ISBN 1556155212 "Excel Software Development Kit Version 4"
- ISBN 1556156324 "Excel Developer's Kit Version 5"

[^1]: The original FTP server is no longer available, but the content has been
      mirrored at https://oss.sheetjs.com/notes/lotus/. Lotus Corporation
      dedicated the content to the public domain in 1984.