---
title: CRC32 Checksum
hide_table_of_contents: true
---

<head>
  <script src="https://cdn.sheetjs.com/crc-32-1.2.3/package/crc32.js"></script>
</head>

The SheetJS `crc-32` library computes standard CRC32 and Castagnoli CRC32C
checksums. It is a core component in ZIP file processing, powering XLSX, XLSB,
ODS, NUMBERS, and other formats.

The library is also available for standalone use on the SheetJS CDN[^1].

Source code and project documentation are hosted on the SheetJS git server at
https://git.sheetjs.com/sheetjs/js-crc32

#### Live Demos

https://oss.sheetjs.com/js-crc32/ computes checksums of files and text.

https://oss.sheetjs.com/js-crc32/large uses incremental file processing and
Web Workers to compute checksums of large files. Since the file is processed in
chunks, it is possible to compute checksums of files larger than 4GB.

[^1]: See https://cdn.sheetjs.com/crc-32/ for more details.